Package com.emc.documentum.rest.constant

# Enum Class RelationRole

java.lang.Object
java.lang.Enum<RelationRole>
com.emc.documentum.rest.constant.RelationRole

All Implemented Interfaces:
  `IntegerValue`, `Serializable`, `Comparable<RelationRole>`, `Constable`

public enum RelationRole extends Enum<RelationRole> implements IntegerValue
Enum for relation roles

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY`
  Represents any relation role
  `CHILD`
  Represents child relation role
  `PARENT`
  Represents parent relation role

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  Returns the integer value of the enum constant
  `static RelationRole`
  `valueOf(int value)`
  Gets enum constant according to the input enum value
  `static RelationRole`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RelationRole[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANY

    public static final RelationRole ANY
    Represents any relation role

  - ### PARENT

    public static final RelationRole PARENT
    Represents parent relation role

  - ### CHILD

    public static final RelationRole CHILD
    Represents child relation role

- ## Method Details

  - ### values

    public static RelationRole[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RelationRole valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Description copied from interface: `IntegerValue`
    Returns the integer value of the enum constant
    Specified by:
      `value` in interface `IntegerValue`
    Returns:
      the integer value of the enum constant

  - ### valueOf

    public static RelationRole valueOf(int value)
    Gets enum constant according to the input enum value
    Parameters:
      `value` - enum value
    Returns:
      enum constant